Debian Bug report logs - #541236
xterm: word selection selects whitespace characters too

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Wed, 12 Aug 2009 17:24:01 UTC

Severity: normal

Tags: fixed-upstream

Found in versions xterm/244-1, xterm/244-2

Fixed in version xterm/246-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Wed, 12 Aug 2009 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Aug 2009 17:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: word selection selects whitespace characters too
Date: Wed, 12 Aug 2009 19:14:23 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 244-1
Severity: normal

Under some conditions, a word selection selects whitespace characters
too. This problem seems to be new.

To reproduce the problem, I've attached a file. As said in this file:

1. Open this file in a 80x60 xterm terminal.
2. Do a Page Down.
3. Double-click on a "aa...aa" (but not one of the first five).
   -> The previous "bb...bb" gets selected too.
4. Resize the xterm window to 80x58. -> The window disappear!

(Step 4 seems to be actually bug 541160: xterm segfaults.)

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.5-20080922 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-24         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-1 shared libraries for terminal hand
ii  libx11-6                  2:1.2.2-1      X11 client-side library
ii  libxaw7                   2:1.0.6-1      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
ii  xfonts-cyrillic               1:1.0.0-7  Cyrillic fonts for X

-- no debconf information
[less-long-lines (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Wed, 12 Aug 2009 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Aug 2009 17:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 541236@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 541236@bugs.debian.org
Subject: Re: xterm: word selection selects whitespace characters too
Date: Wed, 12 Aug 2009 19:29:20 +0200
On 2009-08-12 19:14:23 +0200, Vincent Lefevre wrote:
> Under some conditions, a word selection selects whitespace characters
> too. This problem seems to be new.

Indeed, I've reverted to xterm 243-1, and I cannot reproduce the bug
with this older version.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Wed, 12 Aug 2009 20:09:10 GMT) Full text and rfc822 format available.

Message #13 received at 541236-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541160@bugs.debian.org
Cc: 541160-submitter@bugs.debian.org, 541132-submitter@bugs.debian.org, 541236-submitter@bugs.debian.org, 541109-submitter@bugs.debian.org
Subject: re: #541160 xterm: heap corruption when changing window size
Date: Wed, 12 Aug 2009 16:05:39 -0400
[Message part 1 (text/plain, inline)]
...just bad timing (I'm now looking to see the problem).  A short-term fix
should be to configure/build xterm using --disable-fifo-lines

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 12 Aug 2009 22:39:38 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. (Wed, 12 Aug 2009 22:39:39 GMT) Full text and rfc822 format available.

Message #18 received at 541236-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541236-close@bugs.debian.org
Subject: Bug#541236: fixed in xterm 244-2
Date: Wed, 12 Aug 2009 22:10:48 +0000
Source: xterm
Source-Version: 244-2

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_244-2.diff.gz
  to pool/main/x/xterm/xterm_244-2.diff.gz
xterm_244-2.dsc
  to pool/main/x/xterm/xterm_244-2.dsc
xterm_244-2_i386.deb
  to pool/main/x/xterm/xterm_244-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541236@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Aug 2009 22:25:16 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 244-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 541109 541132 541160 541236
Changes: 
 xterm (244-2) unstable; urgency=low
 .
   * Configure with --disable-fifo-lines to work around a crash in the new
     saved-lines handling code (closes: #541236, #541160, #541132, #541109).
     Thanks to Thomas Dickey for the workaround.
Checksums-Sha1: 
 c348379fba7126d8fa75b851ebcb1d5b466012d5 1339 xterm_244-2.dsc
 f9df25a257f7ea52eaa49f3db4404e30ab79fab1 73095 xterm_244-2.diff.gz
 676e9f54a470b162f9bf5c9fd256fb75b3b1fd07 495094 xterm_244-2_i386.deb
Checksums-Sha256: 
 d43e5912488ddafa81cb0e5bde04c861baa35920fd7d9f52ed7de327603d5c6f 1339 xterm_244-2.dsc
 900153967c5de4c153544cab734d8b87d5dce87b5f0b35e7e613e89271795cee 73095 xterm_244-2.diff.gz
 5bb330e5b862a6ca98f9c7f4ee4f2bbc26d21c9922c2d57ab5040ffddf0f8950 495094 xterm_244-2_i386.deb
Files: 
 48a1847692e0e85d7c1e0d56d126496f 1339 x11 optional xterm_244-2.dsc
 7562993a3b4b9757715f612d44435b02 73095 x11 optional xterm_244-2.diff.gz
 e85a0b155e6e5459a7b89320f394f75e 495094 x11 optional xterm_244-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqDKY4ACgkQmEvTgKxfcAwa1wCeJ++RoLUsWQGG9tup6ZS7UXoB
8O8AoK4e8Py1JUqXfRp+XoGVEOkr2S9Q
=OtTF
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Thu, 13 Aug 2009 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 13 Aug 2009 10:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 541236@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 541236@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#541236 closed by Julien Cristau <jcristau@debian.org> (Bug#541236: fixed in xterm 244-2)
Date: Thu, 13 Aug 2009 12:02:29 +0200
reopen 541236
found 541236 xterm/244-2
thanks

On 2009-08-12 22:39:39 +0000, Debian Bug Tracking System wrote:
> #541236: xterm: word selection selects whitespace characters too
[...]

This bug isn't fixed either.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Bug No longer marked as fixed in versions xterm/244-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Aug 2009 10:18:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xterm/244-2. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Thu, 13 Aug 2009 10:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Sat, 15 Aug 2009 01:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 01:03:04 GMT) Full text and rfc822 format available.

Message #32 received at 541236@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541236@bugs.debian.org
Cc: 541236-submitter@bugs.debian.org
Subject: re: #541236 xterm: word selection selects whitespace characters too
Date: Fri, 14 Aug 2009 20:53:52 -0400
[Message part 1 (text/plain, inline)]
Here's a copy of current changes for #246, which includes a fix for this bug.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-245b.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Sat, 15 Aug 2009 01:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Sat, 15 Aug 2009 01:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 01:30:02 GMT) Full text and rfc822 format available.

Message #40 received at 541236@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: dickey@his.com, 541236-quiet@bugs.debian.org
Cc: 541236@bugs.debian.org, 541236-submitter@bugs.debian.org
Subject: Re: Bug#541236: #541236 xterm: word selection selects whitespace characters too
Date: Sat, 15 Aug 2009 03:26:45 +0200
tags 541236 patch
thanks

On 2009-08-14 20:53:52 -0400, Thomas Dickey wrote:
> Here's a copy of current changes for #246, which includes a fix for this bug.

Thanks, I've tested it and it indeed fixes this bug.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Added tag(s) patch. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Sat, 15 Aug 2009 01:30:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#541236; Package xterm. (Sat, 15 Aug 2009 01:30:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. (Sat, 15 Aug 2009 01:30:17 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Sat, 15 Aug 2009 01:30:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Sat, 15 Aug 2009 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 14:06:04 GMT) Full text and rfc822 format available.

Message #55 received at 541236@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: 541236-quiet@bugs.debian.org, 541236@bugs.debian.org, 541236-submitter@bugs.debian.org
Subject: Re: Bug#541236: #541236 xterm: word selection selects whitespace characters too
Date: Sat, 15 Aug 2009 10:02:23 -0400 (EDT)
On Sat, 15 Aug 2009, Vincent Lefevre wrote:

> tags 541236 patch
> thanks
>
> On 2009-08-14 20:53:52 -0400, Thomas Dickey wrote:
>> Here's a copy of current changes for #246, which includes a fix for this bug.
>
> Thanks, I've tested it and it indeed fixes this bug.
>
no problem (I don't know why my copy of 'less' doesn't seem to exercise
xterm in a manner to show the bug).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored :
Bug#541236; Package xterm. (Sat, 15 Aug 2009 14:06:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Sat, 15 Aug 2009 14:06:17 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Sat, 15 Aug 2009 14:06:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Sat, 15 Aug 2009 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 18:03:02 GMT) Full text and rfc822 format available.

Message #68 received at 541236@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Thomas Dickey <dickey@his.com>
Cc: 541236-quiet@bugs.debian.org, 541236@bugs.debian.org, 541236-submitter@bugs.debian.org
Subject: Re: Bug#541236: #541236 xterm: word selection selects whitespace characters too
Date: Sat, 15 Aug 2009 20:01:19 +0200
On 2009-08-15 10:02:23 -0400, Thomas Dickey wrote:
> no problem (I don't know why my copy of 'less' doesn't seem to
> exercise xterm in a manner to show the bug).

If you mean this bug 541236, then try with LESS="-c".

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)




Information stored :
Bug#541236; Package xterm. (Sat, 15 Aug 2009 18:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. (Sat, 15 Aug 2009 18:03:10 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Sat, 15 Aug 2009 18:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Sat, 15 Aug 2009 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 18:15:02 GMT) Full text and rfc822 format available.

Message #81 received at 541236@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: 541236-quiet@bugs.debian.org, 541236@bugs.debian.org, 541236-submitter@bugs.debian.org
Subject: Re: Bug#541236: #541236 xterm: word selection selects whitespace characters too
Date: Sat, 15 Aug 2009 14:08:12 -0400 (EDT)
On Sat, 15 Aug 2009, Vincent Lefevre wrote:

> On 2009-08-15 10:02:23 -0400, Thomas Dickey wrote:
>> no problem (I don't know why my copy of 'less' doesn't seem to
>> exercise xterm in a manner to show the bug).
>
> If you mean this bug 541236, then try with LESS="-c".

hadn't tried that, but tried it now without any change (not really 
important).  I'd like to isolate the core dump though...

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored :
Bug#541236; Package xterm. (Sat, 15 Aug 2009 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Sat, 15 Aug 2009 18:15:04 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#541236. (Sat, 15 Aug 2009 18:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541236; Package xterm. (Mon, 17 Aug 2009 00:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Aug 2009 00:39:10 GMT) Full text and rfc822 format available.

Message #94 received at 541236@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541236@bugs.debian.org
Subject: re: #541236 xterm: word selection selects whitespace characters too
Date: Sun, 16 Aug 2009 20:34:59 -0400
[Message part 1 (text/plain, inline)]
fixed in patch #246

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream; removed tag(s) patch. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 17 Aug 2009 00:39:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:06:13 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 22 Aug 2009 23:00:28 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. (Sat, 22 Aug 2009 23:00:28 GMT) Full text and rfc822 format available.

Message #103 received at 541236-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541236-close@bugs.debian.org
Subject: Bug#541236: fixed in xterm 246-1
Date: Sat, 22 Aug 2009 22:47:32 +0000
Source: xterm
Source-Version: 246-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_246-1.diff.gz
  to pool/main/x/xterm/xterm_246-1.diff.gz
xterm_246-1.dsc
  to pool/main/x/xterm/xterm_246-1.dsc
xterm_246-1_amd64.deb
  to pool/main/x/xterm/xterm_246-1_amd64.deb
xterm_246.orig.tar.gz
  to pool/main/x/xterm/xterm_246.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541236@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Aug 2009 00:35:21 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 246-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 531597 541089 541160 541236 541603
Changes: 
 xterm (246-1) unstable; urgency=low
 .
   * New upstream release
     + interaction between allowSendEvents and the various allowXXXOps
       resources clarified in manpage (closes: #531597)
     + remove obsolete logic for saving/restoring wrapping flags, which did not
       work on 64-bit platform.  Wrapping flags (stored in the line-index) are
       now copied with line-data (closes: #541160)
     + modify comments in app-defaults files to avoid problem with C
       preprocessor used by xrdb (closes: #541603)
     + restore special case in makeColorPair needed for colorBDMode resource
       (closes: #541089)
     + correct SetLineFlags() macro, broken in patch #244 when recoding to
       avoid gcc-specific bitfields (closes: #541236)
   * The issues with the fifo-lines code should now be fixed, so enable it
     again.
Checksums-Sha1: 
 a02c720f07994a8961dfd5821a3b1c74b66e6773 1339 xterm_246-1.dsc
 08a10609f40e5da1c2a1612abdf3a89e09282a3b 883376 xterm_246.orig.tar.gz
 cb7f14b5e480af04a934b30af34cb511d2a0116a 74206 xterm_246-1.diff.gz
 a417cbb1830cbd76776a54159a9c2941b2517f28 513600 xterm_246-1_amd64.deb
Checksums-Sha256: 
 b6001b175ac781f557bd693ef000174a2bce193232997380300afd5c1994976f 1339 xterm_246-1.dsc
 dcb19d412be91e0dfef75aa0ca4cee3483d9a8fa356351300e3919a377e863cf 883376 xterm_246.orig.tar.gz
 c7918d0a0572b62c5bc2b39c51a0d7f340979ec770ae48767e40c94e07eb3e52 74206 xterm_246-1.diff.gz
 83d5be92a44e5c3b6701e6dfcdf44379023e1d00a46b82ce67c23e586a80db55 513600 xterm_246-1_amd64.deb
Files: 
 eb6639a92a73e4402718df5365588817 1339 x11 optional xterm_246-1.dsc
 b0c3aa021031742d6f5009833fc4d800 883376 x11 optional xterm_246.orig.tar.gz
 33595abc54cbea7c47fbb8183e2c10a1 74206 x11 optional xterm_246-1.diff.gz
 f0c1445d8f2c007bf7b9f66e100ff21b 513600 x11 optional xterm_246-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqQc3AACgkQmEvTgKxfcAyGLACfbsR3Fbqim8670EAhX8CxEM2d
ISUAn3lif2wbjhtwHI/ABT3ZHr8/DO0N
=r08v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 07:52:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:35:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.